## gnome-initial-setup 48.0

=== debian/changelog ===
gnome-initial-setup (48.0-1ubuntu4) plucky; urgency=medium

  * debian/patches/launchpad-translations-export.patch:
    - include translations from launchpad a patch, it's needed since we
      opted out from langpacks to include all languages (lp: #2104148)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 02 Apr 2025 11:32:48 +0200

gnome-initial-setup (48.0-1ubuntu3) plucky; urgency=medium

  [ Sebastien Bacher ]
  * debian/patches/0001-Add-Ubuntu-mode-with-special-pages.patch:
    - update the mascot asset for plucky

  [ Alessandro Astone ]
  * Provide distributor-logo icon (LP: #2103423)

  [ Jeremy Bícha ]
  * Update Ubuntu report page for deprecation of /etc/timezone

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Mar 2025 18:47:03 -0400

gnome-initial-setup (48.0-1ubuntu2) plucky; urgency=medium

  [ Matthew Hagemann ]
  * debian/patches/Dynamic-lang-pack-installation-support.patch
    - Fixed a bug where the GIS user's account was having its locale updated,
      not the newly created users (LP: #2103385)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 19 Mar 2025 16:13:21 +0100

gnome-initial-setup (48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/control: Add Build-Depends:
      + libsnapd-glib-dev
      + libsysmetrics-dev
      + libpoppler-glib-dev
    - d/patches: Ubuntu-specific patches:
      + reenable-existing-user-mode.patch
      + 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      + 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      + 0001-Add-Ubuntu-mode-with-special-pages.patch
      + 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      + 0002-no-deprecation-warnings.patch
      + 0008-Ubuntu-location-default.patch
      + ubuntu-distributor-logo.patch
      + Update-style-to-the-same-than-flutter-installer.patch
      + Allow-setting-hostname-to-local-account-page.patch
      + Do-not-skip-g-i-s-first-login-mode-after-user-creation.patch
      + Skip-privacy-page-in-user-creation-setup.patch
      + Add-wrapper-for-convd-flutter-ui.patch
      + Adding-EULA-page-for-OEMs.patch
      + Dynamic-lang-pack-installation-support.patch
    - Temporarily ignore build test failures, the new test isn't compatible
      with Ubuntu patches yet
    - debian/vendor.conf: do not hide language page
  * Refresh patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 14 Mar 2025 15:58:57 +0100

gnome-initial-setup (48.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 14 Mar 2025 15:26:54 +0100

gnome-initial-setup (48~rc-1ubuntu1) plucky; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Merge with debian
  * debian/salsa-ci: Use ubuntu recipe

  [ Matthew Hagemann ]
  * debian/patches/Dynamic-lang-pack-installation-support.patch
    - Removed dynamic lang pack installation from language chooser, moving it
      instead to the summary page right at the end of the flow (LP: #2101826)
    - Download is skipped if no active network connection is detected.
    - Explicitly set max file descriptors before launching GIS (LP: #2101825)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Mar 2025 03:29:39 +0100

gnome-initial-setup (48~beta-0ubuntu2) plucky; urgency=medium

  [ Matthew Hagemann ]
  * debian/patches/Dynamic-lang-pack-installation-support.patch
    - Adding a polkit rule to allow the gnome initial setup user to run pkexec
      if the program it is running is apt-get.
    - Adding a function apt_get_install that takes in a list of packages and
      attempts to install them.
    - Added parse_language_list function to parse the static list of languages
      in /usr/share/language-selector/data/languagelist which is now used to
      populate the language chooser.
    - Added the ability to g-i-s to determine what outstanding language packs
      need to be installed via check-language-support -l and to use that output
      to install outstanding lang packs via an async GTask.
    - Added a spinner to the language chooser for when a language has been
      selected and packs are being installed.
    - Added a Cancel button to be able to cancel the request.
  * debian/control: Add language-selector-common to Reccommends

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 20 Feb 2025 06:40:19 +0100

gnome-initial-setup (48~beta-0ubuntu1) plucky; urgency=medium

  * New upstream release
  * Bump minimum gtk4
  * Remove launchpad translations export patch for now

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 14:49:06 -0500
