## gnome-initial-setup 48.1

=== debian/changelog ===
gnome-initial-setup (48.1-1progress8u1) horok; urgency=medium

  * Initial upload to horok.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.
  * Enabling inclusion of vendor.conf.
  * Skipping goa pages.
  * Skipping privacy pages.
  * Setting distribution name to Linux on summary page.
  * Updating spelling of distro message on summary page.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sun, 22 Jun 2025 23:29:10 +0200

gnome-initial-setup (48.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Apr 2025 12:16:42 -0400
