=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: gnome-initial-setup
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
+XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
+XSBC-Original-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>,
            Sebastien Bacher <seb128@debian.org>
+Bugs: mailto:maintainers@lists.progress-linux.org
 Build-Depends: debhelper-compat (= 13),
                dconf-cli,
                gsettings-desktop-schemas-dev (>= 3.37.1),
@@ -31,11 +33,8 @@
                libnma-gtk4-dev (>= 1.0),
                libpango1.0-dev (>= 1.32.5),
                libpolkit-gobject-1-dev (>= 0.103),
-               libpoppler-glib-dev,
                libpwquality-dev,
                libsecret-1-dev (>= 0.18.8),
-               libsnapd-glib-dev,
-               libsysmetrics-dev,
                libsystemd-dev [linux-any],
                libwebkitgtk-6.0-dev,
                libxml2-utils,
@@ -43,10 +42,10 @@
                systemd-dev (>= 242)
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -b ubuntu/latest
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup/tree/ubuntu/latest
+Vcs-Browser: https://git.progress-linux.org/horok/gnome-initial-setup
+Vcs-Git: https://git.progress-linux.org/horok/gnome-initial-setup
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
+XSBC-Original-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
 Homepage: https://git.gnome.org/browse/gnome-initial-setup/
 
 Package: gnome-initial-setup
@@ -62,7 +61,6 @@
 Recommends: accountsservice,
             geoclue-2.0 (>= 2.6.0),
             gnome-keyring,
-            language-selector-common,
             ${malcontent:Recommends}
 Suggests: gdm3
 Description: Initial GNOME system setup helper
