## gnome-initial-setup 49~alpha

=== debian/changelog ===
gnome-initial-setup (49~alpha-0ubuntu1) questing; urgency=medium

  [ Sergio Costas Rodriguez ]
  * a11y: Add accessibility to some Ubuntu pages
  * a11y: Add role to the release notes link

  [ Alessandro Astone ]
  * New upstream release
  * Refresh patches
  * d/p/launchpad-translations-export.patch: Drop patch to upload new strings

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 07 Jul 2025 16:30:18 +0200
