## gnome-initial-setup 49~beta.1

=== debian/changelog ===
gnome-initial-setup (49~beta.1-0ubuntu2) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p/ubuntu-pages: Remove ubuntu report support

  [ kkuo ]
  * d/p/ubuntu: Use ubuntu-insights to report hardware and other metrics
    (LP: #2118794)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 02 Sep 2025 18:21:13 +0200

gnome-initial-setup (49~beta.1-0ubuntu1) questing; urgency=medium

  * New upstream release
  * d/control: Depend on gnome-session 49.beta
  * d/control: Drop unused dependency on gnome-keyring
  * d/p/a11y-Notify-bad-username.patch: Drop patch applied upstream
  * d/p: Rebase patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 07 Aug 2025 11:15:55 +0200

gnome-initial-setup (49~alpha-0ubuntu2) questing; urgency=medium

  * a11y: Notify through the screen reader any error message about
    invalid user names in the About you page (LP: #2116935)

 -- Sergio Costas Rodriguez <sergio.costas@canonical.com>  Tue, 15 Jul 2025 13:29:58 +0200
