=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: gnome-initial-setup
 Section: gnome
 Priority: optional
-Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
-XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-XSBC-Original-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
            Marco Trevisan (Treviño) <marco@ubuntu.com>,
            Sebastien Bacher <seb128@debian.org>
-Bugs: mailto:maintainers@lists.progress-linux.org
 Build-Depends: debhelper-compat (= 13),
                dconf-cli,
                gsettings-desktop-schemas-dev (>= 3.37.1),
@@ -26,6 +24,7 @@
                libgtk-4-dev (>= 4.17.0),
                libgweather-4-dev (>= 4.1),
                libibus-1.0-dev (>= 1.5.2),
+               libinsights-dev (>=0.6.0),
                libjson-glib-dev,
                libkrb5-dev,
                libmalcontent-ui-dev (>= 0.7.0) [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 x32],
@@ -33,8 +32,10 @@
                libnma-gtk4-dev (>= 1.0),
                libpango1.0-dev (>= 1.32.5),
                libpolkit-gobject-1-dev (>= 0.103),
+               libpoppler-glib-dev,
                libpwquality-dev,
                libsecret-1-dev (>= 0.18.8),
+               libsnapd-glib-dev,
                libsystemd-dev [linux-any],
                libwebkitgtk-6.0-dev,
                libxml2-utils,
@@ -42,15 +43,17 @@
                systemd-dev (>= 242)
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
-Vcs-Browser: https://git.progress-linux.org/horok/gnome-initial-setup
-Vcs-Git: https://git.progress-linux.org/horok/gnome-initial-setup
-XSBC-Original-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
-XSBC-Original-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -b ubuntu/latest
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup/tree/ubuntu/latest
 Homepage: https://git.gnome.org/browse/gnome-initial-setup/
 
 Package: gnome-initial-setup
 Architecture: linux-any
 Depends: adduser,
+         gnome-session-bin (>= 49~beta),
+         gnome-session-common (>= 49~beta),
          gnome-settings-daemon (>= 3.24),
          pkexec (>= 0.103),
          polkitd (>= 0.103),
@@ -60,7 +63,7 @@
          ${shlibs:Depends}
 Recommends: accountsservice,
             geoclue-2.0 (>= 2.6.0),
-            gnome-keyring,
+            language-selector-common,
             ${malcontent:Recommends}
 Suggests: gdm3
 Description: Initial GNOME system setup helper
