## gnome-initial-setup 49.0

=== meson_options.txt ===
option('vendor-conf-file',
       type: 'string',
       description: 'points to a keyfile containing vendor customization, use this only to override the usual search path'
)

option('ibus',
       description: 'enable support for IBus',
       type: 'feature',
       value: 'auto'
)

option('gdm-rundir',
   type: 'string',
   value: '/run/gdm',
   description: 'GDM\'s runtime directory. The dynamic gnome-initial-setup user\'s home dir is exported here',
)

option('parental_controls',
  type: 'feature',
  value: 'auto',
  description: 'Enable parental controls pages',
)

option('webkitgtk',
  type: 'feature',
  value: 'auto',
  description: 'Enable WebKitGTK dependency, used to display privacy policies',
)
