=== debian/changelog ===
gnome-initial-setup (49.0-1ubuntu4) questing; urgency=medium

  * debian/patches/launchpad-translations-export.patch:
    - update translations from launchpad for questing

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 30 Sep 2025 17:16:35 +0200

gnome-initial-setup (49.0-1ubuntu3) questing; urgency=medium

  [ Sebastien Bacher ]
  * debian/README.source:
    - document the ubuntu translations patch and how to update it

  [ Alessandro Astone ]
  * d/maintscript: Remove obsolete autostart desktop files

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 26 Sep 2025 13:59:00 +0200

gnome-initial-setup (49.0-1ubuntu2) questing; urgency=medium

  * debian/patches/launchpad-translations-export.patch:
    - include translations from launchpad a patch, it's needed since we
      opted out from langpacks to include all languages

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 26 Sep 2025 11:35:10 +0200

gnome-initial-setup (49.0-1ubuntu1) questing; urgency=medium

  * Merge with debian for new bugfix release (LP: #2125416).
    Remaining changes:
    - d/control: Add Build-Depends:
      + libsnapd-glib-dev
      + libsysmetrics-dev
      + libpoppler-glib-dev
    - d/control: Drop unused dependency on gnome-keyring
    - d/control: Add language-selector-common to Reccommends
    - d/patches: Ubuntu-specific patches:
      + reenable-existing-user-mode.patch
      + 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      + 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      + 0001-Add-Ubuntu-mode-with-special-pages.patch
      + 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      + 0002-no-deprecation-warnings.patch
      + 0008-Ubuntu-location-default.patch
      + ubuntu-distributor-logo.patch
      + Update-style-to-the-same-than-flutter-installer.patch
      + Allow-setting-hostname-to-local-account-page.patch
      + Do-not-skip-g-i-s-first-login-mode-after-user-creation.patch
      + Skip-privacy-page-in-user-creation-setup.patch
      + Add-wrapper-for-convd-flutter-ui.patch
      + Adding-EULA-page-for-OEMs.patch
      + Dynamic-lang-pack-installation-support.patch
    - Temporarily ignore build test failures, the new test isn't compatible
      with Ubuntu patches yet
    - debian/vendor.conf: do not hide language page
  * d/p: Refresh patches
  * d/control: Drop versioned depends on gnome-session

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 22 Sep 2025 16:54:00 +0200

gnome-initial-setup (49.0-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.2
  * Remove obsolete Rules-Requires-Root: no field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 20 Sep 2025 12:10:47 -0400

gnome-initial-setup (49~beta.1-0ubuntu4) questing; urgency=medium

  * d/p/Dynamic-lang-pack-installation-support.patch: Fix polkit rules
    (LP: #2122340)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 15 Sep 2025 17:02:58 +0200

gnome-initial-setup (49~beta.1-0ubuntu3) questing; urgency=medium

  [ Sergio Costas Rodriguez ]
  * Fix SVGs

  [ Matthew Hagemann ]
  * feat: remove locales-all before language pack installation

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 08 Sep 2025 13:57:37 +0200
