=== debian/control ===
--- 
+++ 
@@ -41,8 +41,7 @@
                libxml2-utils,
                meson (>= 0.50.0),
                systemd-dev (>= 242)
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-initial-setup
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-initial-setup.git -b ubuntu/latest
@@ -52,8 +51,6 @@
 Package: gnome-initial-setup
 Architecture: linux-any
 Depends: adduser,
-         gnome-session-bin (>= 49~beta),
-         gnome-session-common (>= 49~beta),
          gnome-settings-daemon (>= 3.24),
          pkexec (>= 0.103),
          polkitd (>= 0.103),
