## gnome-initial-setup 50~alpha

=== debian/changelog ===
gnome-initial-setup (50~alpha-0ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - d/README.source: document the ubuntu translations patch
    - d/control: Add Build-Depends:
      + libinsights-dev
      + libpoppler-glib-dev
      + libsnapd-glib-dev
    - d/control: Drop unused dependency on gnome-keyring
    - d/control: Add language-selector-common to Reccommends
    - d/maintscript: Remove obsolete autostart desktop files
    - d/patches: Ubuntu-specific patches:
      + reenable-existing-user-mode.patch
      + 0001-Make-summary-page-explicitly-request-navigation-butt.patch
      + 0001-Ensure-stamp-file-if-the-user-quit-the-wizard.patch
      + 0001-Add-Ubuntu-mode-with-special-pages.patch
      + 0001-Display-the-ubuntu-welcome-wizard-in-Unity.patch
      + 0002-no-deprecation-warnings.patch
      + 0008-Ubuntu-location-default.patch
      + ubuntu-distributor-logo.patch
      + Update-style-to-the-same-than-flutter-installer.patch
      + Allow-setting-hostname-to-local-account-page.patch
      + Do-not-skip-g-i-s-first-login-mode-after-user-creation.patch
      + Skip-privacy-page-in-user-creation-setup.patch
      + Add-wrapper-for-convd-flutter-ui.patch
      + Adding-EULA-page-for-OEMs.patch
      + Dynamic-lang-pack-installation-support.patch
    - Temporarily ignore build test failures, the new test isn't compatible
      with Ubuntu patches yet
    - debian/vendor.conf: do not hide language page
  * New upstream release
  * d/p/parental-controls: Drop patch applied upstream
  * d/p/launchpad-translations-export.patch: Drop patch to upload new strings
  * d/p: Rebase all other patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 12 Jan 2026 14:55:55 +0100

gnome-initial-setup (49.0-4) unstable; urgency=medium

  * debian/{rules,control}: Enable malcontent in ubuntu.
    Simplify the dependencies code, since ubuntu can now depend on
    malcontent, being it in main repository
  * d/p: Add early support for malcontent-0.14

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 11 Dec 2025 06:26:35 +0100

gnome-initial-setup (49.0-3) unstable; urgency=medium

  [ Luca Boccassi ]
  * Drop dependency on pkexec
  * Use sysusers.d instead of adduser

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Dec 2025 16:37:20 -0500

gnome-initial-setup (49.0-2) unstable; urgency=medium

  * Add Breaks: gnome-session-bin << 49
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 Oct 2025 09:32:29 -0400
