=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
            Marco Trevisan (Treviño) <marco@ubuntu.com>,
            Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-installsysusers,
                dconf-cli,
                gsettings-desktop-schemas-dev (>= 3.37.1),
                itstool,
@@ -50,8 +51,7 @@
 
 Package: gnome-initial-setup
 Architecture: linux-any
-Depends: adduser,
-         gnome-settings-daemon (>= 3.24),
+Depends: gnome-settings-daemon (>= 3.24),
          pkexec (>= 0.103),
          polkitd (>= 0.103),
          tecla (>= 45~rc),
@@ -61,8 +61,9 @@
 Recommends: accountsservice,
             geoclue-2.0 (>= 2.6.0),
             language-selector-common,
-            ${malcontent:Recommends}
+            malcontent [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa loong64 powerpc ppc64 x32],
 Suggests: gdm3
+Breaks: gnome-session-bin (<< 49)
 Description: Initial GNOME system setup helper
  After acquiring or installing a new system there are a few essential things
  to set up before use. GNOME Initial Setup aims to provide a simple, easy,
